<mat-card>
  <mat-card-content>
    <mat-card-title>Renseignement administratif patient</mat-card-title>
    <p>Veuillez renseigner les informations du nouveau patient qui va utiliser le dispoistif</p>
    <!--<mat-card-subtitle>Angular2 custom validation here is the
      <a href="https://github.com/yuyang041060120/ng2-validation" target="_blank">official site</a>
    </mat-card-subtitle>-->
    <form [formGroup]="form" (ngSubmit)="openDialog()">

      <div fxLayout="row wrap">
        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field>
            <input matInput placeholder="Nom" [formControl]="form.controls['lastName']">
          </mat-form-field>
          <mat-hint *ngIf="form.controls['lastName'].hasError('required') && form.controls['lastName'].touched" class="text-danger font-14">Vous devez inclure le nom.</mat-hint>
        </div>

        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field>
            <input matInput placeholder="Prenom" [formControl]="form.controls['firstName']">
          </mat-form-field>
          <mat-hint *ngIf="form.controls['firstName'].hasError('required') && form.controls['firstName'].touched" class="text-danger font-14">Vous devez inclure le prenom.</mat-hint>
        </div>

        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field>
            <input matInput placeholder="Numéro de sécurité Social" [formControl]="form.controls['numberOfSecu']" minlength="15">
          </mat-form-field>
          <small *ngIf="form.controls['numberOfSecu'].hasError('required') && form.controls['numberOfSecu'].touched" class="text-danger font-14">Vous devez inclure le numéro de Sécurité Social.</small>
          <mat-hint *ngIf="form.controls['numberOfSecu'].hasError('minlength') && form.controls['numberOfSecu'].touched" class="text-danger font-14">Votre Numéro de Sécurité Social ne dois pas être de moins 15 chiffres.</mat-hint>
        </div>

        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field>
            <input matInput [formControl]="form.controls['dateOfBirthday']" placeholder="date de naissance" type="date">
          </mat-form-field>
          <mat-hint *ngIf="form.controls['dateOfBirthday'].hasError('required') && form.controls['dateOfBirthday'].touched" class="text-danger font-14">Vous devez inclure la date de naissance.</mat-hint>
          <mat-hint *ngIf="form.controls['dateOfBirthday'].errors?.date && form.controls['dateOfBirthday'].touched" class="text-danger font-14">Vous devez inclure une date valide.</mat-hint>
        </div>

        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field class="example-full-width">
            <mat-label>Numéro</mat-label>
            <input matNativeControl required formControlName="numberOfDevice" placeholder="N° de l'appareil" [ngModel]="numberOfDevice">
          </mat-form-field>
          <small *ngIf="form.controls['numberOfDevice'].hasError('required') && form.controls['numberOfDevice'].touched" class="text-danger font-14">Vous devez selectionner un appareil.</small>
        </div>

        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field class="example-full-width">
            <mat-label>Service</mat-label>
            <select matNativeControl required formControlName="service" placeholder="Service">
              <option value="médecine générale">médecine générale</option>
              <option value="immunologie">immunologie</option>
              <option value="radiologie">radiologie</option>
              <option value="chirurgie">chirurgie</option>
              <option value="neurologie">neurologie</option>
              <option value="pneumologie">pneumologie</option>
              <option value="cardiologie">cardiologie</option>
              <option value="odontologie">odontologie</option>
              <option value="dermatologie">dermatologie</option>
              <option value="service d'accueil de traitement des urgences">service d'accueil de traitement des urgences</option>
              <option value="traumatologie">traumatologie</option>
              <option value="médecine interne">médecine interne</option>
              <option value="endocrinologie">endocrinologie</option>
              <option value="anatomo-pathologie">anatomo-pathologie</option>
              <option value="gastro-entérologie">gastro-entérologie</option>
              <option value="urologie">urologie</option>
              <option value="pharmacie">pharmacie</option>
              <option value="maternité">maternité</option>
              <option value="pediatrie">pediatrie</option>
              <option value="service des grands brûlés">service des grands brûlés</option>
            </select>
          </mat-form-field>
          <small *ngIf="form.controls['service'].hasError('required') && form.controls['service'].touched" class="text-danger font-14">Vous devez selectionner un service.</small>
        </div>

        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field>
            <input matInput placeholder="Numbero de l'étage" [formControl]="form.controls['floor']" type="number" min="-1">
          </mat-form-field>
          <small *ngIf="form.controls['floor'].hasError('required') && form.controls['floor'].touched" class="text-danger font-14">Vous devez entrer le numéro de l'étage.</small>
          <!--<small *ngIf="form.controls['floor'].errors?.number && form.controls['floor'].touched" class="text-danger font-14">Number should be between 5 and 9.</small>-->
        </div>

        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field>
            <input matInput placeholder="Numero de chambre" [formControl]="form.controls['numberOfRoom']" type="number" min="1">
          </mat-form-field>
          <small *ngIf="form.controls['numberOfRoom'].hasError('required') && form.controls['numberOfRoom'].touched" class="text-danger font-14">Vous devez entrer le numéro de chambre.</small>
          <!--<small *ngIf="form.controls['numberOfRoom'].errors?.number && form.controls['numberOfRoom'].touched" class="text-danger font-14">Number should be between 5 and 9.</small>-->
        </div>

        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field>
            <input matInput placeholder="Numero du lit" [formControl]="form.controls['numberOfBed']" type="number" min="1">
          </mat-form-field>
          <small *ngIf="form.controls['numberOfBed'].hasError('required') && form.controls['numberOfBed'].touched" class="text-danger font-14">Vous devez entrer le numéro du lit.</small>
          <!--<small *ngIf="form.controls['numberOfBed'].errors?.number && form.controls['numberOfBed'].touched" class="text-danger font-14">Number should be between 5 and 9.</small>-->
        </div>

        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <label class="m-r-20">Gender :</label>
          <mat-radio-group [formControl]="form.controls['sex']">
            <mat-radio-button value="Madame" class="m-r-10">Madame</mat-radio-button>
            <mat-radio-button value="Monsieur">Monsieur</mat-radio-button>
          </mat-radio-group>
          <small *ngIf="!form.controls['sex'].valid && form.controls['sex'].touched" class="mat-text-warn">Vous devez sélectionner un sexe.</small>
        </div>
      </div>
      <mat-card-actions>
        <button mat-raised-button color="primary" type="submit" [disabled]="!form.valid">Attribuer</button>
      </mat-card-actions>
    </form>
  </mat-card-content>
</mat-card>
